<script setup lang="ts">
import { nextTick, onMounted, ref } from 'vue'
import { useEmployeeStore } from '../stores/employee'
import type { VForm } from 'vuetify/components'
import type { Employee } from '../types/Employee'
import TableLayout from '@/layout/TableLayout.vue'
import EmployeeDialog from '../components/EmployeeDialog.vue'

const employeeStore = useEmployeeStore()
const items = []

// const header = [
//   { title: 'Role', sortable: true },
//   { title: 'FirstName', sortable: false },
//   { title: 'LastName', sortable: false },
//   { title: 'Tel.', sortable: false },
//   { title: 'Gender', sortable: false },
//   { title: 'Birth Date', sortable: false },
//   { title: 'Qualification', sortable: false },
//   { title: 'MoneyRate', sortable: false },
//   { title: 'MinWork', sortable: false },
//   { title: 'Start Date', sortable: false },
// ];

// const form = ref(false)
// const refForm = ref<VForm | null>(null)
// const dialog = ref(false)
// const dialogDelete = ref(false)
// const loading = ref(false)

// let editedIndex = -1
// let lastId = 4
// function onSubmit() {}

// function closeDelete() {
//   dialogDelete.value = false
//   nextTick(()=> {
//     employeeStore.clearForm()
//   })
// }
// async function deleteItemConfirm() {
//   // Delete item from list
//   await employeeStore.deleteEmployee()
//   closeDelete()
// }

// async function editItem(item: Employee) {
//   if (!item.id) return
//   await employeeStore.getEmployee(item.id)
//   dialog.value = true
// }

// async function deleteItem(item: Employee) {
//   if (!item.id) return
//   await employeeStore.getEmployee(item.id)
//   dialogDelete.value = true
//   editedIndex = -1
// }
// function closeDialog() {
//   dialog.value = false
//   nextTick(()=> {
//     employeeStore.clearForm()
//   })
// }
// async function save() {
//   const { valid } = await refForm.value!.validate()
//   if (!valid) return

//   await employeeStore.saveEmployee()
//   closeDialog()
// }

onMounted(async () => {
  await employeeStore.getAllEmployee()
})
</script>

<template>
  <EmployeeDialog></EmployeeDialog>
  <!-- :search="search" -->
  <TableLayout title="Employee Management" :items="employeeStore.employees" :headers="employeeStore.header">
    <template #topheaders>
      <v-container>
        <v-row>
          <v-col cols="8">
            <v-text-field variant="filled" rounded="lg"></v-text-field>
          </v-col>
          <v-col cols="2">
            <v-btn class="w-100" variant="outlined" rounded="lg">Search</v-btn>
          </v-col>
          <v-col cols="2">
            <v-btn class="w-100" variant="outlined" rounded="lg" @click="employeeStore.openDialog()"
              >New</v-btn
            >
          </v-col>
        </v-row>
      </v-container>
    </template>
  </TableLayout>
</template>

<style scoped></style>
